package rpgEngine.Data.Abstract.World;

import rpgEngine.Data.Raw.Graphics.ChipSet;

public class Terrain {
	private Boolean walkable;
	private String name;
	private ChipSet chipset;
	
	public Terrain() {
		this(null,"",false);
	}
	
	
	public Terrain (ChipSet c, String n, Boolean w) {
		setWalkable(w);
		setName(n);
		setChipset(c);
	}


	public Boolean getWalkable() {
		return walkable;
	}


	public void setWalkable(Boolean walkable) {
		this.walkable = walkable;
	}


	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}


	public ChipSet getChipset() {
		return chipset;
	}


	public void setChipset(ChipSet chipset) {
		this.chipset = chipset;
	}
	
	
	
	
	
}
